curl --request POST \
--url https://api.jtl-cloud.com/erp/salesOrders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"CompanyId": 123,
"CustomerId": 123,
"Number": "<string>",
"ExternalNumber": "<string>",
"BillingNumber": "<string>",
"DepartureCountry": {
"CountryISO": "<string>",
"State": "<string>",
"CurrencyIso": "<string>",
"CurrencyFactor": 123
},
"CustomerVatID": "<string>",
"SalesOrderDate": "2023-11-07T05:31:56Z",
"SalesOrderPaymentDetails": {
"PaymentMethodId": 123,
"CurrencyIso": "<string>",
"CurrencyFactor": 123,
"PaymentTarget": 123,
"CashDiscount": 123,
"CashDiscountDays": 123
},
"SalesOrderShippingDetail": {
"ShippingMethodId": 123,
"ShippingPriority": 123,
"ShippingDate": "2023-11-07T05:31:56Z",
"EstimatedDeliveryDate": "2023-11-07T05:31:56Z",
"OnHoldReasonId": 123,
"ExtraWeight": 123
},
"ColorcodeId": 123,
"Comment": "<string>",
"CustomerComment": "<string>",
"LanguageIso": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/salesOrders"
payload = {
"CompanyId": 123,
"CustomerId": 123,
"Number": "<string>",
"ExternalNumber": "<string>",
"BillingNumber": "<string>",
"DepartureCountry": {
"CountryISO": "<string>",
"State": "<string>",
"CurrencyIso": "<string>",
"CurrencyFactor": 123
},
"CustomerVatID": "<string>",
"SalesOrderDate": "2023-11-07T05:31:56Z",
"SalesOrderPaymentDetails": {
"PaymentMethodId": 123,
"CurrencyIso": "<string>",
"CurrencyFactor": 123,
"PaymentTarget": 123,
"CashDiscount": 123,
"CashDiscountDays": 123
},
"SalesOrderShippingDetail": {
"ShippingMethodId": 123,
"ShippingPriority": 123,
"ShippingDate": "2023-11-07T05:31:56Z",
"EstimatedDeliveryDate": "2023-11-07T05:31:56Z",
"OnHoldReasonId": 123,
"ExtraWeight": 123
},
"ColorcodeId": 123,
"Comment": "<string>",
"CustomerComment": "<string>",
"LanguageIso": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
CompanyId: 123,
CustomerId: 123,
Number: '<string>',
ExternalNumber: '<string>',
BillingNumber: '<string>',
DepartureCountry: {
CountryISO: '<string>',
State: '<string>',
CurrencyIso: '<string>',
CurrencyFactor: 123
},
CustomerVatID: '<string>',
SalesOrderDate: '2023-11-07T05:31:56Z',
SalesOrderPaymentDetails: {
PaymentMethodId: 123,
CurrencyIso: '<string>',
CurrencyFactor: 123,
PaymentTarget: 123,
CashDiscount: 123,
CashDiscountDays: 123
},
SalesOrderShippingDetail: {
ShippingMethodId: 123,
ShippingPriority: 123,
ShippingDate: '2023-11-07T05:31:56Z',
EstimatedDeliveryDate: '2023-11-07T05:31:56Z',
OnHoldReasonId: 123,
ExtraWeight: 123
},
ColorcodeId: 123,
Comment: '<string>',
CustomerComment: '<string>',
LanguageIso: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/salesOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Number": "<string>",
"ExternalNumber": "<string>",
"BillingNumber": "<string>",
"CompanyId": 123,
"DepartureCountry": {
"CountryISO": "<string>",
"State": "<string>",
"CurrencyIso": "<string>",
"CurrencyFactor": 123
},
"CustomerId": 123,
"CustomerVatID": "<string>",
"MerchantVatID": "<string>",
"BillingAddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"Shipmentaddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"SalesOrderDate": "2023-11-07T05:31:56Z",
"SalesOrderPaymentDetails": {
"PaymentMethodId": 123,
"TotalGrossAmount": 123,
"CurrencyIso": "<string>",
"CurrencyFactor": 123,
"DateOfPayment": "2023-11-07T05:31:56Z",
"StillToPay": 123,
"PaymentTarget": 123,
"CashDiscount": 123,
"CashDiscountDays": 123
},
"SalesOrderShippingDetail": {
"ShippingMethodId": 123,
"ShippingPriority": 123,
"ShippingDate": "2023-11-07T05:31:56Z",
"EstimatedDeliveryDate": "2023-11-07T05:31:56Z",
"DeliveredDate": "2023-11-07T05:31:56Z",
"OnHoldReasonId": 123,
"ExtraWeight": 123
},
"ColorcodeId": 123,
"IsExternalInvoice": true,
"Comment": "<string>",
"CustomerComment": "<string>",
"IsCancelled": true,
"LanguageIso": "<string>",
"CancellationDetails": {
"CancellationReasonId": 123,
"CancellationComment": "<string>",
"Date": "2023-11-07T05:31:56Z"
},
"SalesChannelId": "<string>",
"UserCreatedId": 123,
"UserId": 123,
"TransactionStatusId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Create Sales Order
Create a new sales order
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Query Parameters
If true, the sales order number will be renamed if it already exists.
If true, the workflows do not trigger automatic.
Body
The sales order to create.
Model Class: CreateSalesOrder
The company of the sales order.
The customer ID.
The number of the sales order.
The external number of the sales order.
The number of the invoice.
The departure country information of the sales order. If none is indicated, it will be determined from the company's information.
Show child attributes
Show child attributes
The VAT ID of the customer.
The billing address of the sales order.
Show child attributes
Show child attributes
The shipping address of the sales order.
Show child attributes
Show child attributes
The date when the order was created.
Payment specific information of the sales order.
Show child attributes
Show child attributes
Shipping specific information of the sales order.
Show child attributes
Show child attributes
The colour code of the sales order.
A comment on the sales order.
A customer comment on the sales order.
The language of the order.
Response
The created sales order.
Model Class: SalesOrder
Unique ID to identify a sales order file.
The number of the sales order.
The external number of the sales order.
The number of the invoice.
The company of the sales order.
The departure country information of the sales order. If none is indicated, it will be determined from the company's information.
Show child attributes
Show child attributes
The customer ID.
The VAT ID of the customer.
The VAT ID of the merchant.
The billing address of the sales order.
Show child attributes
Show child attributes
The shipping address of the sales order.
Show child attributes
Show child attributes
The date when the order was created.
Payment specific information of the sales order.
Show child attributes
Show child attributes
Shipping specific information of the sales order.
Show child attributes
Show child attributes
The colour code of the sales order.
Indicates if the invoice of the order was created in an external system, like Amazon VCS.
A comment on the sales order.
A customer comment on the sales order.
Indicates if the order has been cancelled. There is a special endpoint for cancelling sales orders.
The language of the order.
The cancellation details in case the sales order has been cancelled.
Show child attributes
Show child attributes
The sales channel of the sales order.
The user who created the sales order.
The user who is responsible for the sales order.
Unique ID to identify a transaction's status.
Was this page helpful?